package com.sky.ioc.entity.domain.canteen;

import com.alibaba.fastjson.JSONObject;
import io.swagger.models.auth.In;
import lombok.Data;

import java.util.concurrent.ThreadLocalRandom;

/**
 * TODO
 * @Description  菜品实体类
 * @Author LunCe
 * @Date 2023/3/14 9:46
 **/

@Data
public class Cuisine {

    private Integer id;
    private String cuisineName;
    private String cuisineImg;
    /*
     *  菜品类型  早餐，中餐，晚餐
      */
    private Integer cuisineType;
    /*
     *  菜品类型  热菜，凉菜，主食，汤
     */
    private Integer cuisineTypeTwo;
    /*
     *  价格
     */
    private String Price;

    private String saleNumber;


/*    public Cuisine(String name){
        ThreadLocalRandom current = ThreadLocalRandom.current();
        cuisineImg = "https://img.zcool.cn/community/018aeb5dc37c46a801209e1fb5e4d6.jpg@1280w_1l_2o_100sh.jpg";
        cuisineType = current.nextInt(0,3);
        cuisineTypeTwo = current.nextInt(0,4);
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("大",16);
        jsonObject.put("小",8);
        Price = jsonObject+"";
        cuisineName = name;
    }*/



}
